<?php

/* 
 * current.php - the script to display the current song
 *
 * Copyright (c) by Andreas S. Krebs (andreas.krebs@web.de)
 *
 */

require_once("config.inc");
require_once("dbutils.inc");
require_once("dbquery.inc");

$HTMLPage->set_title("muwed player");

if($CSS_FILE!=false)
  $HTMLPage->push_css_link($CSS_FILE);

if($HAS_JS)
  $HTMLPage->push_js_link("muwedPlayer.js");

require_once("irmp3.inc");

if(is_array($irmp3_info)==false || ($comand!="stop" && $irmp3_info["play"]==false && $irmp3_info["file"]==false))
{
  $commands=array("query status", "query time", "query playlist", "query plpos", "query shuffle", "query repeat");
  $answer=array("file", "status", "time", "playlist", "plpos", "shuffle", "repeat");
  $irmp3_info=irmp3_cmd($IRMP3_HOST, $IRMP3_PORT, $commands, $answer); 
}

$song=$irmp3_info["file"];
$status=$irmp3_info["status"];
$time=$irmp3_info["time"];
if($song==false && $comand!="stop")
{
  $song=$irmp3_info["play"];
  $status="play";
  $time=$irmp3_info["time"];
}

if($song==false)
{
  $status="stop";
}

$secs=split(" ", $time, 2);
$secs[1]=trim($secs[1]);
if($secs[1] == false || $secs[1] <= 0)
  $secs[1]=60;

if($status == "stop")
  $time="0:00";
else
{
  $s=$secs[1]%60;
  $t=($secs[1]-$s)/60;
  $t=$t . ":";
  if($s < 10)
    $t=$t . "0";

  $time=$t . $s;
}

if($HAS_JS)
  $HTMLPage->set_body_attributes(array("ONLOAD" => "javascript:startTimer($secs[1], '$status')"));

$table1=new TABLEtag(array("CELLSPACING" => "$TABLE_SPACING",
			  "CELLPADDING" => "0",
			  " BORDER" => "$TABLE_BORDER",
			  "WIDTH" => "$MAX_TABLE_WIDTH",
			  "HEIGHT" => "$MAX_TABLE_HEIGHT"));

if($song != false && strlen($song)>0)
  $song=substr($song, strlen($MP3ROOT));

$t1r1=new TRtag();

// let's check if this song has a APIC frame to display
if($song != false && strlen($song)>0)
{
  if(!$conn)
    $conn=pg_pconnect($DBCONNECT);
  if($conn)
  {
    $esong=ereg_replace("'", "''", $song);
    $query="file = '$esong'";

    $result=pg_exec($conn, createSongQuery("flags", $query, ""));
    if(pg_numrows($result)>0)
    {
      $row=pg_fetch_row($result, 0);
      $flags=$row[0];

      if(($flags&0x2000)!=0) // do we have a APIC ?
      {
        $t1r1->push(createAPIC_TD(rawurlencode($MP3ROOT . $song)));  
      }
    }
  }
}

$t1td2=create_TD(array("CLASS"=>"Empty", "WIDTH"=>"100%", "VALIGN"=>"TOP"));

$table2=new TABLEtag(array("CELLSPACING"=>"0",
			   "CELLPADDING"=>"0",
			   "BORDER"=>"$TABLE_BORDER",
			   "WIDTH"=>"100%",
			   "HEIGHT"=>"100%"));

$table2->push_row(createPlayerControls_TD($irmp3_info, $time));

// now let's create some output
if($song == false || $status=="stop")
{
  $result=html_h2(create_B("Playing stopped"));
}
else
{
  // now let's create the query for the database
  $esong=ereg_replace("'", "''", $song);
  $query="file = '$esong'";

  $notfound_msg="Song <A HREF=\"$url\">$song</A> not found in muwed database";

  $result=createSearch_TABLE($query, $notfound_msg, false);
}

$table2->push_row(
  create_TD(array("CLASS"=>"Content", 
		  "CELLSPACING"=>"0", 
		  "CELLPADDING"=>"0", 
		  "VSPACE"=>"0", 
		  "WIDTH"=>"100%", 
		  "HEIGHT"=>"100%", 
		  "ALIGN"=>"CENTER", 
		  "VALIGN"=>"TOP"), 
	    $result));

$t1td2->push($table2);
$t1r1->push($t1td2);
$table1->push($t1r1);

$HTMLPage->push($table1);
print $HTMLPage->render();


function createAPIC_TD($file)
{
  global $TABLE_BORDER, $GETAPIC, $IMAGE_HEIGHT;

  $td1=new TDtag(array("CLASS" => "Empty", "WIDTH" => "0%"));
	
  $tab=new TABLEtag(array("CELLSPACING"=>"0", 
			  "CELLPADDING"=>"0", 
			  "BORDER"=>"$TABLE_BORDER", 
			  "WIDTH"=>"0%", 
			  "HEIGHT"=>"0%"));

  $tr=new TRtag();
  $td2=new TDtag(array("CLASS"=>"PlayerImage", 
		       "ALIGN"=>"CENTER", 
		       "VALIGN"=>"MIDDLE",
		       "WIDTH"=>"0%",
		       "HEIGHT"=>"0%"));
       
  $td2->push(new IMGtag(array("SRC"=>"$GETAPIC$file", 
			      "BORDER"=>"1",
			      "ALT"=>"[cover]",
			      "HEIGHT"=>"$IMAGE_HEIGHT",
			      "VSPACE"=>"0")));

  $tr->push($td2);
  $tab->push($tr);
  $td1->push($tab);

  return $td1;
}

function createPlayerControls_TD($irmp3_info, $time)
{
  global $HAS_JS, $TABLE_BORDER, $FORWARD_ENC;

  if($HAS_JS)
  {
    $cmd_pre="javascript:playerComand('";
    $cmd_post="')";
  }
  else
  {
    $cmd_pre="irmp3cmd.php?comand=";
    $cmd_post="&date=".time();	// add time to prefent lynx from page caching
  }

  $repsel=$irmp3_info["repeat"];
  $shufsel=$irmp3_info["shuffle"];

  $t1td1=create_TD(array("CLASS"=>"Player", "ALIGN"=>"MIDDLE", "HEIGHT"=>"0%"));

  $tab2=new TABLEtag(array("CELLSPACING"=>"0", "CELLPADDING"=>"0", "WIDTH"=>"100%"));
  $t2r1=new TRtag();

  $t2td1=create_TD(array("CLASS"=>"Display", "ALIGN"=>"MIDDLE"));
  $tab3=new TABLEtag(array("CELLSPACING"=>"0", "CELLPADDING"=>"0"));
  $form=new FORMtag(array("NAME"=>"player", "ONSUBMIT"=>"0"));

  $form->push(create_TR(
    create_TD(array("CLASS"=>"Name"), "muwed player"),
    create_TD(array("CLASS"=>"Display"), create_PRE(" ")),
    create_TD(array("CLASS"=>"PlayerButton"), html_img_href($cmd_pre."playlist+jump+-1".$cmd_post, "images/prev.gif", "", "", 0,  "[previous]")),
    create_TD(array("CLASS"=>"PlayerButton"), html_img_href($cmd_pre."stop".$cmd_post, "images/stop.gif", "", "", 0,  "[stop]")),
    create_TD(array("CLASS"=>"PlayerButton"), html_img_href($cmd_pre."pause".$cmd_post, "images/pause.gif", "", "", 0,  "[pause]")),
    create_TD(array("CLASS"=>"PlayerButton"), html_img_href($cmd_pre."playlist+jump+".$FORWARD_ENC.$cmd_post, "images/next.gif", "", "", 0,  "[next]")),
    create_TD(array("CLASS"=>"PlayerButton"), html_img_href($cmd_pre."playlist+ignoresong".$cmd_post, "images/eject.gif", "", "", 0,  "[ignore]")),
    create_TD(array("CLASS"=>"Display"), create_PRE(" ")),
    create_TD(array("CLASS"=>"Display"), form_text("clock", "$time", "5")),
    create_TD(array("CLASS"=>"Display"), array("Repeat", form_select("repeat", array("off"=>"0", "current"=>"1", "all"=>"2"), $repsel))),
    create_TD(array("CLASS"=>"Display"), array("Shuffle", form_select("shuffle", array("off"=>"0", "on"=>"1"), $shufsel))),
    create_TD(array("CLASS"=>"Display"), create_PRE(" ")),
    create_TD(array("CLASS"=>"PlayerButton"), html_img_href($cmd_pre."refresh".$cmd_post, "images/refresh.gif", "", "", 0,  "[refresh]")),
    create_TD(array("CLASS"=>"Display"), create_PRE("   "))
  ));

  $tab3->push($form);
  $t2td1->push($tab3);
  $t2r1->push($t2td1);

  $t2r1->push(create_TD(array("CLASS"=>"Display", "ALIGN"=>"MIDDLE"), html_b(html_a("playerhelp.php", "help", NULL, "player_help"))));

  $tab2->push($t2r1);
  $t1td1->push($tab2);

  return $t1td1;
}

?>
