<?php

/*
 * phphtmllib.inc - the file for configurating the phphtmllib stuff
 *
 * Copyright (c) by Andreas S. Krebs (andreas.krebs@web.de)
 *
 */

// set phphtmllib root and include it
$phphtmllib=$DOCUMENT_ROOT."/phphtmllib"; 
include_once("$phphtmllib/includes.inc");

$HTMLPage=new HTMLPageClass();

function create_TD($attribs, $content=array())
{
  $td=new TDtag($attribs);

  if(is_array($content))
  {
    foreach($content as $cont)
    {
      $td->push($cont);
    }
  }
  else
    $td->push($content);

  return $td;
}

function create_B($content=array(), $attribs=array())
{
  $b=new Btag($attribs);
  $b->set_newline_after_opentag(FALSE);

  if(is_array($content))
  {
    foreach($content as $cont)
    {
      $b->push($cont);
    }
  }
  else
    $b->push($content);

  return $b;
}

function create_TR( )
{
  $args = func_get_args();
  
  $tr=new TRtag();

  foreach($args as $cont)
  {
    $tr->push($cont);
  }

  return $tr;
}

function create_PRE($content, $attr=array())
{
  $pre=new PREtag($attr);
  $pre->set_newline_after_opentag(FALSE);
  $pre->push($content);

  return $pre;
}

function create_I($content,$attribs=array())
{
  $i=new Itag($attribs);
  $i->set_newline_after_opentag(FALSE);

  if(is_array($content))
  {
    foreach($content as $cont)
    {
      $i->push($cont);
    }
  }
  else
    $i->push($content);

  return $i;
} 

?>
