<?php

/* 
 * search.php - the script to perform a database search
 *
 * Copyright (c) by Andreas S. Krebs (andreas.krebs@web.de)
 *
 * this script expects the variable $artist, $title, $album to be set to perform a query.
 *
 */

require_once("selentries.inc");	// get selected entries from session
require_once("dbutils.inc");
require_once("queryform.inc");
require_once("dbquery.inc");
require_once("aboutmuwed.inc");

$HTMLPage->set_title("muwed song search");

if($CSS_FILE!=false)
  $HTMLPage->push_css_link($CSS_FILE);

if($HAS_JS)
  $HTMLPage->push_js_link("muwedSearch.js");

$table1=new TABLEtag(array("CELLSPACING" => "$TABLE_SPACING",
                          "CELLPADDING" => "0",
                          "BORDER" => "$TABLE_BORDER",
                          "WIDTH" => "$MAX_TABLE_WIDTH",
                          "HEIGHT" => "$MAX_TABLE_HEIGHT"));

$artist=stripslashes($artist);
$composer=stripslashes($composer);
$title=stripslashes($title);
$album=stripslashes($album);
$plid=stripslashes($plid);

$qform=new FORMtag(array("NAME"=>"qform", "ACTION"=>"search.php", "METHOD"=>"GET", "TARGET"=>"muwed"));
$qform->push(create_TR(create_TD(array("CLASS"=>"Search", "VALIGN"=>"TOP"), createQueryField_TABLE())));

// formulate the query
$clauses=array();

if($SHOW_COLUMN["artist"] && strlen($artist) > 0)
  array_push($clauses, getQueryClause("artist", $artist, $regex, $case));

if($SHOW_COLUMN["composer"] && strlen($composer) > 0)
  array_push($clauses, getQueryClause("composer", $composer, $regex, $case));

if($SHOW_COLUMN["title"] && strlen($title) > 0)
  array_push($clauses, getQueryClause("title", $title, $regex, $case));

if($SHOW_COLUMN["album"] && strlen($album) > 0)
  array_push($clauses, getQueryClause("album", $album, $regex, $case));

if(is_numeric($plid))	// no need to look for non int IDs :-)
{
  array_push($clauses, getPlaylistEntriesClause($plid));
}

// do we realy have a query
if(sizeof($clauses) > 0 || count($selEntries)>0)
{
  $query=joinClauses($match, $clauses);

  $result=createSearch_TABLE($query, "No entries found matching the given pattern", true);
}
else // no query to ask the database
  $result=createAbout_TABLE();

$qform->push(create_TR(create_TD(array("CLASS"=>"Content", "VALIGN"=>"TOP", "HEIGHT"=>"100%"), $result)));
$table1->push($qform);
$HTMLPage->push($table1);
print $HTMLPage->render();

?>
